/*
	setv4l.h
	
	include file for setv4l.c
	Copyright 2000 Jeroen Vreeken (pe1rxq@amsat.org)
	
	This program is published under the GNU general public license
	read the file COPYING for more info.
	
*/
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <errno.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <unistd.h>
#include <linux/videodev.h>
#include <string.h>

#define VERSION "0.3"
#define TIMEOUT 5

struct vid_type {
	int vidtypenr;
	char *description;
};

const struct vid_type vid_types[] = {
	{ VID_TYPE_CAPTURE,	"CAPTURE\0" },
	{ VID_TYPE_TUNER,	"TUNER\0" },
	{ VID_TYPE_TELETEXT,	"TELETEXT\0" },
	{ VID_TYPE_OVERLAY,	"OVERLAY\0" },
	{ VID_TYPE_CHROMAKEY,	"CHROMAKEY\0" },
	{ VID_TYPE_CLIPPING,	"CLIPPING\0" },
	{ VID_TYPE_FRAMERAM,	"FRAMERAM\0" },
	{ VID_TYPE_SCALES,	"SCALES\0" },
	{ VID_TYPE_MONOCHROME,	"MONOCHROME\0" },
	{ VID_TYPE_SUBCAPTURE,	"SUBCAPTURE\0" },
	{ 0, "\0" }
};
